# 72. Kysely: hae ruudukotettu data GeoJSON- tai GeoTIFF-muodossa

Kysely ruudukoidun datan hakemiseksi datasetistä kuten "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" muodossa `GEOJSON` pisteiden kanssa tai `GEOTIFF`.&#x20;

{% hint style="danger" %}
Suositeltavaa hakea vain yksi aineisto käyttämällä `sourceDataUrl` pyyntöä kohti.&#x20;
{% endhint %}

`GEOTIFF` ja `GEOJSON` saatavilla muodossa `formaatit`.

{% hint style="danger" %}
`sourceDataUrl` linkki on käytettävissä vain **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nimi
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nimi
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(muoto: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/72.-kysely-hae-ruudukotettu-data-geojson-tai-geotiff-muodossa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
